# Generated by Django 3.2.11 on 2022-03-14 14:49

from django.conf import settings
import django.contrib.postgres.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import functools
import karrio.server.core.models.base


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="DocumentTemplate",
            fields=[
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "id",
                    models.CharField(
                        default=functools.partial(
                            karrio.server.core.models.base.uuid,
                            *(),
                            **{"prefix": "doc_"}
                        ),
                        editable=False,
                        max_length=50,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "slug",
                    models.SlugField(
                        max_length=20,
                        validators=[
                            django.core.validators.RegexValidator("^[a-z0-9_]+$")
                        ],
                    ),
                ),
                ("name", models.CharField(max_length=50)),
                ("template", models.TextField()),
                ("description", models.CharField(blank=True, max_length=50, null=True)),
                ("related_objects", models.JSONField(blank=True, null=True)),
                (
                    "created_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Document Template",
                "verbose_name_plural": "Document Templates",
                "db_table": "document-template",
                "ordering": ["-created_at"],
            },
            bases=(karrio.server.core.models.base.ControlledAccessModel, models.Model),
        ),
    ]
